<div id="comments" class="aligncenter">
	<?php	
		if ( post_password_required() ) { ?>
			<?php esc_html_e('This post is password protected. Enter the password to view comments.', 'solien'); ?>
		<?php
			return;
		}
	?>
	<?php if ( have_comments() ) : ?>
		<h2 id="comments-title"><span><?php solien_comments_number(get_the_ID(), true); ?></span></h2>
	
		<ol class="unstyled commentlist clearfix">
			 <?php wp_list_comments(array('type'=> 'comment', 'callback' => 'solien_comment' )); ?>
		</ol>
		<?php //get ping and trackbacks
			global $post;
			$ping_entries = get_comments(array( 'type'=> 'pings', 'post_id' => $post->ID ));
			
			if(!empty($ping_entries)){
			echo "<h2 class='title pingbacklist'><span>". esc_html__('Trackbacks &amp; Pingbacks','solien')."</span></h2>";
			?>
			
			<ol class="pingbacklist">
				<?php
					/* 
					 * Loop through and list the pingbacks and trackbacks. 
					 */
					wp_list_comments( array( 'type'=> 'pings', 'reverse_top_level'=>true ) );
				?>
			</ol>
			<?php } ?>
		<div class="navigation">
			<?php paginate_comments_links(array('prev_text' => esc_html__('Previous', 'solien'), 'next_text' => esc_html__('Next', 'solien'))); ?>
		</div>
		
	 <?php else : // this is displayed if there are no comments so far ?>
	
		<?php if ( comments_open() ) : ?>
			<!-- If comments are open, but there are no comments. -->
	
		 <?php else : // comments are closed ?>
			<p class="hidden"><?php esc_html_e('Comments are closed.', 'solien'); ?></p>
	
		<?php endif; ?>
		
	<?php endif; ?>
		
		
<?php if ( comments_open() ) : ?>

	<?php

		$req = get_option( 'require_name_email' );
		$aria_req = ( $req ? " aria-required='true'" : '' );

		//Custom Fields
		$commenter = wp_get_current_commenter();
		$consent   = empty( $commenter['comment_author_email'] ) ? '' : ' checked="checked"';
		$fields =  array(
			'author'=> '<div id="respond-inputs" class="row-fluid"><div class="span4"><input id="author" name="author" type="text" value="" placeholder="' . esc_attr__('Name', 'solien') . ' *" size="30"' . $aria_req . ' /></div>',
			'url' => '<div class="span4"><input id="website" name="website" type="text" value="" placeholder="' . esc_attr__('Website', 'solien') . '" size="30"' . $aria_req . ' /></div>',
			'email' => '<div class="span4"><input id="email" name="email" type="text" value="" placeholder="' . esc_attr__('E-Mail', 'solien') . ' *" size="30"' . $aria_req . ' /></div></div>',
		);

		//Comment Form Args
        $comments_args = array(
			'fields' => $fields,
			'title_reply'=>esc_html__('Leave a comment', 'solien'),
			'comment_field' => '<div id="respond-textarea"><textarea id="comment" name="comment" aria-required="true" cols="58" rows="6" tabindex="4"></textarea></div>',
			'comment_notes_after' => '',
			'title_reply_before' => '<h3 id="reply-title" class="comment-reply-title"><span>',
			'title_reply_after' => '</span></h3>',
			'comment_notes_before' => '',
			'logged_in_as' => '',
			'label_submit' => esc_html__('Post comment','solien')
		);
		
		// Show Comment Form
		comment_form($comments_args); 
	?>


<?php endif; // if you delete this the sky will fall on your head ?>

</div>